Results 1 to 4 of 4

Thread: Samba package upgradation

  1. #1

    Default Samba package upgradation

    Hi

    I am using opensuse 10.3. Now I want to upgrade samba package to the latest version. I have downloaded the samba package which is available for the opensuse 11.2 and then tried to install it on opensuse 10.3. This resulted in lots of dependency problem which I couldn't able to install manually. Anybody please help me in upgrading the existing samba package in opensuse 10.3 to the latest version without the dependency issues. I tried yast and zypper and both will look for the repositories that are present in opensuse 10.3 DVD.

  2. #2
    Join Date
    Jun 2008
    Location
    Finland, European Union
    Posts
    1,879

    Default Re: Samba package upgradation

    I'll save you time, effort and tears; upgrade 10.3 to 11.1 or 11.2.

    10.3 Samba repositories were taken down as 10.3 is now "End of Life" and out of support.

  3. #3

    Default Re: Samba package upgradation

    Thanks for your reply.
    My server is configured with opensuse 10.3. I cant upgrade it directly to Suse 11.2. Also in my server Ldap is configured and currently there is a issue with Windows 7 and Ldap for which it is required to upgrade only the samba package. My server has about 1 terrabytes of data approximately. So is there any way to upgrade only the samba package?
    In general is there any other way by which we can upgrade any existing packages? not only samba.

    Thank you so much

  4. #4
    Join Date
    Jun 2008
    Location
    Finland, European Union
    Posts
    1,879

    Default Re: Samba package upgradation

    You could grab the source rpms for samba from (for example) 11.1 and rebuild those rpms yourself - however they may depend on newer components and may cause unforeseen consequences and would force you to upgrade various other packages. You can't simply use the packages from the newer versions as they have dependencies on other packages from that said version (thus you ran into the dependency issues).

    Since SuSE is not a rolling distribution, your only real alternative is to make the upgrade jump.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •